Subject: Re: [PATCH v2 2/5] log: honor log.merges= option

From: Koosha Khajehmoogahi <[email-masked]>
Date: Wed, 08 Apr 2015 12:42:50 +0200

On 04/08/2015 04:28 AM, Junio C Hamano wrote:
> Koosha Khajehmoogahi <[email-masked]> writes:
> 
>> On 04/04/2015 10:00 PM, Junio C Hamano wrote:
>>> Koosha Khajehmoogahi <[email-masked]> writes:
>>>
>>>> From: Junio C Hamano <[email-masked]>
>>>>
>>>> [kk: wrote commit message]
>>>
>>> Ehh, what exactly did you write ;-)?
>>>
>>> I think the most important thing that needs to be explained by the
>>> log message for this change is that the variable is honored only by
>>> log and it needs to explain why other Porcelain commands in the same
>>> "log" family, like "whatchanged", should ignore the variable.
>>>
>> So, what would be the reason? 
> 
> It is strange that you have to ask me to give you the reason why you
> chose it that way, isn't it?

AFAIK, the only other command that supports --merges and --no-merges options is
rev-list. This new feature aims to make a default behavior for the commands
that have these options. The command-line option is supported by the two commands.
However, the config var is only used by git-log and rev-list ignores it. I didn't
exclude rev-list for any particular reason. If we need, I could also handle it in
rev-list.